SystemOrganization addCategory: #'SUnit-Utilities'!

Object subclass: #SUnitUnloader
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'SUnit-Utilities'!

!SUnitUnloader commentStamp: 'LaurentLaffont 4/15/2011 20:20' prior: 0!
I am SUnitUnloader, a little tool to unload SUnit and a fixed set of Tests from the current image.

Usage: SUnitUnloader new unloadAll

Caveat: #unloadTestPackages uses a fixed and probably ill maintained list of what packages hold unit tests.
!

!SUnitUnloader methodsFor: 'unloading' stamp: 'GuillermoPolito 5/22/2010 21:33'!
unloadAll
	self unloadTestPackages.
	self unloadSUnit.! !

!SUnitUnloader methodsFor: 'unloading' stamp: 'CamilleTeruel 7/29/2012 18:49'!
unloadSUnit
	Smalltalk globals
		at: #TestCase
		ifPresent: [ :class | SystemAnnouncer uniqueInstance unsubscribe: class ].
	#('SUnit-Tests' 'SUnit-UI' 'SUnit-Core' 'SUnit-Help' 'SUnit-Utilities' ) do: [ :each | (MCPackage named: each) unload ].
	AppRegistry removeObsolete.	! !

!SUnitUnloader methodsFor: 'unloading' stamp: 'MarcusDenker 4/6/2012 10:23'!
unloadTestPackages
        #('Tests' 'CollectionsTests' 'CompilerTests' 'BalloonTests' 'FreeTypeTests' 'Graphics-Tests' 'KernelTests' 'MorphicTests' 'MultilingualTests' 'NetworkTests' 'ToolsTest' 'Gofer-Tests' 'Announcements-Tests-Core' 'CompressionTests' 'HelpSystem-Tests' 'Multilingual-Tests' 'Regex-Tests-Core' 'HelpSystem-Tests'  'Balloon-Collections-Tests' 'StratifiedProxy-Tests' 'Finder-Tests' 'Zinc-Tests' 'Ring-Tests-Kernel'
'Ring-Tests-Containers' 'ShoutTests'  'FileSystem-Tests-Memory' 'FileSystem-Tests-Disk' 'FileSystem-Tests-Core' 'FileSystem-Tests-AnsiStreams' )
                do: [ :each | (MCPackage named: each) unload ]. 
! !
